import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Kanye loves fishsticks!
 * 
 * @Michael Alexandris 
 * @May 31st, 2009
 */
//By extending animatedactor class, we are able to use the super method
public class Kanye extends AnimatedActor
{
 
  //Declare variables
    public static int intScore; //This is the score of the game

    //This no arg constructor gives properties to both Kanye and the score upon creation of Kanye
    public Kanye() 
    {
 super("Kanye", ".png", 2);//calling the superclass constructor
 intScore = 0; //Initializes the score of the game
 setRotation(90);
    }    
    
       /**
     * Act - do whatever the Kanye wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
     public void act()
     {
        super.act();// Add your action code here.
        mapMovement();//Allows Kanye to swim
        checkCollision();//Allows Kanye to eat fishsticks
    }
        public void mapMovement()
    {
        
        if(Greenfoot.isKeyDown("up"))
        {
            setLocation(getX(),(getY() - 3));
        }
        if(Greenfoot.isKeyDown("down"))
        {
            setLocation(getX(),(getY() + 3));
        }
        if(Greenfoot.isKeyDown("left"))
        {
            setLocation((getX() - 3),getY());
        }
        if(Greenfoot.isKeyDown("right"))
        {
            setLocation((getX() + 3),getY());
        }
    }
    
    /**
     * This method will check to see if two objects are intersecting,
     * and if they are the Vehicle object will disappear.
     */
    public void checkCollision()
    {
        //Declare an Actor variable
        Actor collided;
        
        //The collided variable will contain a value IF
        //it is touching an object from the Fish class
        collided = getOneIntersectingObject(Fish.class);
        if (collided != null) 
        {
                       
               //This will remove the object            
            getWorld().removeObject(collided);
            
            //Play the sound the makes a crash
           //Greenfoot.playSound("crash.wav");
           
           //This increases the score for every fish
           intScore = intScore + 1;
        }
    }   
}
